Create a report
POST
/v1/projects/{projectId}/collection-orders/{orderId}/reportscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/reports' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"periodStart": "2026-01-01T00:00:00Z",
"periodEnd": "2026-01-01T00:00:00Z",
"grouping": "collector"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- periodStartstring (date-time)必填
- periodEndstring (date-time)必填
- groupingstring必填可选值collectortaskscene
响应
Success
- dataobject必填
- reportIdstring必填
- orderIdstring必填
- objectKeystring必填
- downloadUrlstring必填
- expiresAtstring必填
- groupingstring必填可选值taskcollectorscene
- periodStartstring必填
- periodEndstring必填
响应示例
{
"data": {
"reportId": "string",
"orderId": "string",
"objectKey": "string",
"downloadUrl": "string",
"expiresAt": "string",
"grouping": "task",
"periodStart": "string",
"periodEnd": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1